# OgreOptimisedUtil.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreEdgeListBuilder.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Functions

template<class T>
static FORCEINLINE T * | rawOffsetPointer (T *ptr, ptrdiff_t offset)
| Returns raw offseted of the given pointer.
template<class T>
static FORCEINLINE void | advanceRawPointer (T *&ptr, ptrdiff_t offset)
| Advance the pointer with raw offset.

## Function Documentation

template<class T>
static FORCEINLINE void Ogre::advanceRawPointer | ( | T *& | ptr,
|  | ptrdiff_t | offset
| ) | `[static]`

Advance the pointer with raw offset.

Note:
  The offset are in bytes, no matter what type of the pointer.

Definition at line 214 of file OgreOptimisedUtil.h.

References Ogre::rawOffsetPointer().

template<class T>
static FORCEINLINE T* Ogre::rawOffsetPointer | ( | T * | ptr,
|  | ptrdiff_t | offset
| ) | `[static]`

Returns raw offseted of the given pointer.

Note:
  The offset are in bytes, no matter what type of the pointer.

Definition at line 204 of file OgreOptimisedUtil.h.

Referenced by Ogre::advanceRawPointer().

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:46:44 2009